org.apache.ignite.internal.util.typedef

## Class T4<V1,V2,V3,V4>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridTuple4<V1,V2,V3,V4>
  - - org.apache.ignite.internal.util.typedef.T4<V1,V2,V3,V4>

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Iterable<Object>

    public class T4<V1,V2,V3,V4>
    extends GridTuple4<V1,V2,V3,V4>

Defines `alias` for `GridTuple4` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `GridTuple4`.

See Also:
  `GridFunc`, `GridTuple`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`T4()` Empty constructor required by `Externalizable`.
`T4(V1 val1, V2 val2, V3 val3, V4 val4)` Fully initializes this tuple.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.GridTuple4

`clone, equals, get1, get2, get3, get4, hashCode, iterator, readExternal, set, set1, set2, set3, set4, toString, writeExternal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### T4

    public T4()

Empty constructor required by `Externalizable`.

#### T4

    public T4(V1 val1,
      V2 val2,
      V3 val3,
      V4 val4)

Fully initializes this tuple.

Parameters:
  `val1` - First value.
  `val2` - Second value.
  `val3` - Third value.
  `val4` - Forth value.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017